Summary: An X Window System tool for drawing basic vector graphics.
Name: xfig
Version: 3.2.3d
Release: 3
Copyright: Freeware
Group: Applications/Multimedia
Source0: http://www.xfig.org/xfigdist/xfig.%{version}.full.tar.gz
Source1: xfig.png
Source2: xfig.desktop
Patch0: xfig.3.2.3c-redhat.patch
Patch1: xfig.3.2.3c-i18n.patch
Patch2: xfig.3.2.3c-browser.patch
Patch3: xfig.3.2.3d-fhs.patch
Patch4: xfig.3.2.3d-misc.patch
Patch5: xfig.3.2.3d-imake.patch
URL: http://www.xfig.org/
Requires: transfig >= 3.2.3d, xpdf, ImageMagick, aspell
Requires: htmlview
BuildPrereq: libjpeg-devel, libpng-devel, Xaw3d-devel
Buildroot: %{_tmppath}/%{name}-root

%description
Xfig is an X Window System tool for creating basic vector graphics,
including bezier curves, lines, rulers and more.  The resulting
graphics can be saved, printed on PostScript printers or converted to
a variety of other formats (e.g., X11 bitmaps, Encapsulated
PostScript, LaTeX).

You should install xfig if you need a simple program to create vector
graphics.

%prep
%setup -q -n xfig.%{version}
%patch0 -p1 -b .redhat
%patch1 -p1 -b .i18n
%patch2 -p1 -b .browser
%patch3 -p1 -b .fhs
%patch4 -p1 -b .misc
%patch5 -p1 -b .imake

%build
export PATH=$PATH:/usr/X11R6/bin
xmkmf
ln -nfs Doc/xfig.man xfig.man
make DOCDIR=%{_docdir}

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT DOCDIR=%{_docdir} install install.all

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Graphics \
        $RPM_BUILD_ROOT/usr/share/pixmaps

install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/pixmaps
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/X11/applnk/Graphics

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/*
/usr/X11R6/lib/X11/%{name}/*
/usr/X11R6/man/*/*
/usr/share/pixmaps/%{name}.png
%doc %{_docdir}/%{name}
/usr/X11R6/lib/X11/app-defaults/*
%config /etc/X11/applnk/Graphics/%{name}.desktop

%changelog
* Fri Jul 13 2001 Than Ngo <than@redhhat.com> 3.2.3d-3
- fix build dependencies (bug #48910)

* Tue Jul 03 2001 Than Ngo <than@redhat.com>
- fix export to eps when i18n set (bug #45114)
- requires transfig-3.2.3d

* Fri Jun 15 2001 Than Ngo <than@redhat.com>
- update to 3.2.3d release

* Tue Jun 12 2001 Than Ngo <than@redhat.com>
- fix to build against XFree86-4.1.0

* Tue May 29 2001 Than Ngo <than@redhat.com>
- update to 3.2.3d beta2 fixes (Bug #42597, #42556)
- fix bug when LANG is set, launching help gives a spurious error (Bug #42596)
- fix bug in resource setting (Bug #42595)
- remove some patches, which are included in 3.2.3d beta2
- fix wrong version number
- use make install.all
- fix fhs problem

* Wed May  9 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't require Netscape at all - use htmlview (which automatically launches
  Netscape, Mozilla or Konqueror depending on what is installed/running).
  No need to depend on proprietary stuff...

* Thu Apr 26 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- do the same for s390x

* Sat Jan 06 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- only require /usr/bin/netscape if not on S390

* Tue Dec 20 2000 Yukihiro Nakai <ynakai@redhat.com>
- Delete enable_japanese macro and set i18n default.
- Fix Japanese translation in .desktop file

* Mon Nov 20 2000 Than Ngo <than@redhat.com>
- rebuilt to fix bad dir perms

* Thu Nov 9 2000 Than Ngo <than@redhat.com>
- fixed f_read, which made xfig stop reading the file after
  removing such bad objects.

* Fri Oct 13 2000 Preston Brown <pbrown@redhat.com>
- improved .desktop entry

* Thu Aug 24 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese patch

* Tue Aug 08 2000 Than Ngo <than@redhat.de>
- fixed dependency problem
- fixed starting xpdf

* Mon Aug 07 2000 Than Ngo <than@redhat.de>
- fixed for using xpdf instead acroreader (Bug #15621)
- add requires: netscape, display

* Sat Aug 05 2000 Than Ngo <than@redhat.de>
- update to 3.2.3c (bugs fixed released)
- fix parse_printcap broken (Bug #11147)

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 23 2000 Than Ngo <than@redhat.de>
- xfig crash, if a menu item was clicked (Bug #12855)

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- rebuilt in the new build environment
- enable optimization
 
* Sat Jun 03 2000 Than Ngo <than@redhat.de>
- fix requires, xfig-3.2.3a requires transfig-2.2.3 or newer
- disable optimization -O2 (gcc-2.96 Bug) on i386

* Thu May 18 2000 Preston Brown <pbrown@redhat.com>
- fix buildroot issue in Imakefile

* Mon May  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with current libXaw3d
- update to 3.2.3a

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man pages

* Fri Jan 14 2000 Preston Brown <pbrown@redhat.com>
- upgrade to beta1 of 2.2.3.  Hopefully this fixes outstanding issues.
- no need for vararg fix, commented out

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- add icon
- don't compile with optimization on alpha

* Mon Aug 30 1999 Preston Brown <pbrown@redhat.com>
- converted to use a .desktop file

* Fri Mar 26 1999 Michael Maher <mike@redhat.com>
- added files that were missing. 

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)
- varargs fix

* Thu Feb 18 1999 Jeff Johnson <jbj@redhat.com>
- correct DESTDIRR typo (#962)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Jul  7 1998 Jeff Johnson <jbj@redhat.com>
- updated to 3.2.2.

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- updated for manhattan
- buildroot

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- new version
- messed with config for 5.0
- updated Requires and Copyright
- added wmconfig

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
